<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabaseConfig..::.HashFunction Field
HashDatabaseConfig Class See Also Send Feedback

A user-defined hash function; if no hash function is specified, a default hash function is used.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public HashFunctionDelegate HashFunction

Visual Basic (Declaration)

    Public HashFunction As HashFunctionDelegate

Visual C++

    public:
    HashFunctionDelegate^ HashFunction

# Remarks

Because no hash function performs equally well on all possible data, the user may find that the built-in hash function performs poorly with a particular data set.

If the database already exists, HashFunction must be the same as that historically used to create the database or corruption can occur.

# See Also

HashDatabaseConfig Class
BerkeleyDB Namespace